<?php

namespace Teknisa\DF\Factories;

use Doctrine\ORM\EntityManager;

class RegrasTributariasFactory
{
    private $entityManager;

    public function __construct(EntityManager $entityManager)
    {
        $this->entityManager = $entityManager;
    }
    
    public function getCodProd($nrorg, $idcenario) {
        $sql = "SELECT *
            FROM SYS_MATERIAL
            WHERE NRORG = :P_NRORG
            AND ID_CENARIO = :P_IDCENARIO";
            
        $params = array(
            "P_NRORG" => $nrorg,
            "P_IDCENARIO" => $idcenario
        );
                
        $std = $this->entityManager->getConnection()->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }

}