<?php

namespace Teknisa\DF\Services;

use Teknisa\Libs\Service\Crud;
use Doctrine\ORM\EntityManager;
use Teknisa\Libs\Util\Environment;
use Fiscal\Entities\Notafiscal;
use Geral\Entities\Inscrestad;
use Teknisa\DF\Factories\RegrasTributariasFactory;
use Teknisa\Libs\Util\NewCode;
use Teknisa\Libs\Util\Utilities;
use Teknisa\Libs\Util\DateUtil;

class RegrasTributariasService {
    protected $regrasTributariasFactory;
    protected $repositoryEmailAdicionais;
    protected $novoCodigo;
    protected $entityManager;
    protected $environment;
    protected $crudService;

    public function __construct(Crud $crudService, NewCode $novoCodigo, EntityManager $entityManager, 
                                Utilities $util, Environment $environment, RegrasTributariasFactory $regrasTributariasFactory) {
        $this->regrasTributariasFactory = $regrasTributariasFactory;
        $this->novoCodigo = $novoCodigo;
        $this->entityManager = $entityManager;
        $this->util = $util;
        $this->environment = $environment;
        //$this->repositoryEmailAdicionais = $this->entityManager->getRepository('\Teknisa\Model\Teknisa\Entities\\EmailAdicionais');
    }
    
    public function getCodProd($nrorg, $idcenario) {
        //$conditions = $this->createQueryFiltered($filters);
        
        // foreach($orderBy as $idx => $order) {
        //     $conditions .= ' ORDER BY ' . $idx . ' ' . $order;
        // }
        
        // $limit  = $page * $pageSize;
        // $offset = ($page - 1) * $pageSize;
        
        //var_dump($idcenario);die;
        $dados = $this->regrasTributariasFactory->getCodProd($nrorg, $idcenario);
        //var_dump($dados);die;
        return $dados;
    }
    
}