<?php

namespace Teknisa\DF\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO;
use Geral\Util\DateUtil;
use Teknisa\DF\Controllers\CrudService;
use Teknisa\DF\Controllers\TeknisaCrud;
use Teknisa\DF\Services\Ger00300EncargoService;

class Ger00300EncargoController extends TeknisaCrud
{
    public function __construct($crudService, $parameterBag, Ger00300EncargoService $ger00300EncargoService){
        $this->ger00300EncargoService = $ger00300EncargoService;
    }

    public function saveEncargo(DTO\Request $request, DTO\Response $response){
        try{
            $row = $request->getRow();
            $this->ger00300EncargoService->saveEncargo($row);
        }catch(\Exception $e){
            $response->setError(new DTO\Response\Error($e->getMessage(), 500));
        }
    }
}